#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-panel
Version		:	1.3.0
Release		:	16.2.0.rel%{?dist}
Summary		:	`%{name}` represents the taskbar of LXQt

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/lxqt-panel/releases

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	libsysstat
BuildRequires	:	libstatgrab
BuildRequires	:	libxkbcommon
BuildRequires	:	solid
BuildRequires	:	lxqt-globalkeys
BuildRequires	:	xcb-util
BuildRequires	:	xorg-libXcomposite
BuildRequires	:	pulseaudio
BuildRequires	:	alsa-lib
BuildRequires	:	qt

Requires	:	pulseaudio
Requires	:	alsa-tools
Requires	:	alsa-firmware
#-----------------------------------------------------------------------------
%description
The elements available in lxqt-panel are called "plugin" technically.
This applies e. g. to the source code where they reside in directories
`./plugin-<plugin>` like `plugin-mainmenu`. In contrast to this they
are called "widgets" by the configuration GUI so far. Also, a more
descriptive term is used to refer to distinct plugins within the GUI.
E. g. the aforementioned `plugin-mainmenu` is called "Application menu"
that way.   

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

#setting one lxqt setup
cp -a 								\
	%{name}-ok_addon/panel.conf				\
	panel/resources

sed -i								\
  -e "/#include <QFileDialog>/a#include <QAction>"		\
  plugin-mainmenu/lxqtmainmenuconfiguration.cpp

sed -i								\
  -e 's:<KF5/KWindowSystem/:<:'					\
  plugin-taskbar/lxqttaskgroup.{h,cpp} 

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DVOLUME_USE_PULSEAUDIO=yes				\
	-DVOLUME_USE_ALSA=yes					\
	-DSENSORS_PLUGIN=no					\
	-DPULL_TRANSLATIONS=no					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS README.md
%{_includedir}/lxqt/*.h
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_sysconfdir}/xdg/menus/lxqt-applications-compact.menu
%{_sysconfdir}/xdg/menus/lxqt-applications-simple.menu
%{_bindir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/lxqt/%{name}/*.desktop
%{_datadir}/lxqt/panel.conf
%{_datadir}/lxqt/panel/qeyes-types/Bizarre/config
%{_datadir}/lxqt/panel/qeyes-types/Bizarre/*.png
%{_datadir}/lxqt/panel/qeyes-types/Bloodshot/config
%{_datadir}/lxqt/panel/qeyes-types/Bloodshot/*.png
%{_datadir}/lxqt/panel/qeyes-types/Brown-EyedGirl/config
%{_datadir}/lxqt/panel/qeyes-types/Brown-EyedGirl/*.png
%{_datadir}/lxqt/panel/qeyes-types/Crystal/*
%{_datadir}/lxqt/panel/qeyes-types/Default-tiny/config
%{_datadir}/lxqt/panel/qeyes-types/Default-tiny/*.png
%{_datadir}/lxqt/panel/qeyes-types/Default/config
%{_datadir}/lxqt/panel/qeyes-types/Default/*.png
%{_datadir}/lxqt/panel/qeyes-types/Digital/config
%{_datadir}/lxqt/panel/qeyes-types/Digital/*.png
%{_datadir}/lxqt/panel/qeyes-types/EyelashLarge/config
%{_datadir}/lxqt/panel/qeyes-types/EyelashLarge/*.png
%{_datadir}/lxqt/panel/qeyes-types/Green-EyedGirl/config
%{_datadir}/lxqt/panel/qeyes-types/Green-EyedGirl/*.png
%{_datadir}/lxqt/panel/qeyes-types/Horrid/config
%{_datadir}/lxqt/panel/qeyes-types/Horrid/*.png
%{_datadir}/lxqt/panel/qeyes-types/Pink-EyedGirl/config
%{_datadir}/lxqt/panel/qeyes-types/Pink-EyedGirl/*.png
%{_datadir}/lxqt/panel/qeyes-types/PumpkinMonster/config
%{_datadir}/lxqt/panel/qeyes-types/PumpkinMonster/*.png
%{_datadir}/lxqt/panel/qeyes-types/README
%{_datadir}/lxqt/panel/qeyes-types/Tango/config
%{_datadir}/lxqt/panel/qeyes-types/Tango/*.png
%{_datadir}/desktop-directories/lxqt-*.directory
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_datadir}/lxqt/translations/%{name}/*/*_*.qm
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
